## IdeSimpleBuildSystemDiscovery IdeSimpleBuildSystemDiscovery |

## Functions

const gchar * | ide_simple_build_system_discovery_get_glob ()
void | ide_simple_build_system_discovery_set_glob ()
const gchar * | ide_simple_build_system_discovery_get_hint ()
void | ide_simple_build_system_discovery_set_hint ()
gint | ide_simple_build_system_discovery_get_priority ()
void | ide_simple_build_system_discovery_set_priority ()

## Properties

gchar * | glob | Read / Write
gchar * | hint | Read / Write
gint | priority | Read / Write

## Types and Values

#define | IDE_TYPE_SIMPLE_BUILD_SYSTEM_DISCOVERY
struct | IdeSimpleBuildSystemDiscoveryClass
| IdeSimpleBuildSystemDiscovery

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeSimpleBuildSystemDiscovery

## Implemented Interfaces

IdeSimpleBuildSystemDiscovery implements IdeBuildSystemDiscovery.

## Description

## Functions

### ide_simple_build_system_discovery_get_glob ()

    const gchar *
    ide_simple_build_system_discovery_get_glob
                                   (IdeSimpleBuildSystemDiscovery *self);

### ide_simple_build_system_discovery_set_glob ()

    void
    ide_simple_build_system_discovery_set_glob
                                   (IdeSimpleBuildSystemDiscovery *self,
                                    const gchar *glob);

### ide_simple_build_system_discovery_get_hint ()

    const gchar *
    ide_simple_build_system_discovery_get_hint
                                   (IdeSimpleBuildSystemDiscovery *self);

### ide_simple_build_system_discovery_set_hint ()

    void
    ide_simple_build_system_discovery_set_hint
                                   (IdeSimpleBuildSystemDiscovery *self,
                                    const gchar *hint);

### ide_simple_build_system_discovery_get_priority ()

    gint
    ide_simple_build_system_discovery_get_priority
                                   (IdeSimpleBuildSystemDiscovery *self);

### ide_simple_build_system_discovery_set_priority ()

    void
    ide_simple_build_system_discovery_set_priority
                                   (IdeSimpleBuildSystemDiscovery *self,
                                    gint priority);

## Types and Values

### IDE_TYPE_SIMPLE_BUILD_SYSTEM_DISCOVERY

    #define IDE_TYPE_SIMPLE_BUILD_SYSTEM_DISCOVERY (ide_simple_build_system_discovery_get_type())

### struct IdeSimpleBuildSystemDiscoveryClass

    struct IdeSimpleBuildSystemDiscoveryClass {
      IdeObjectClass parent_class;
    };

### IdeSimpleBuildSystemDiscovery

    typedef struct _IdeSimpleBuildSystemDiscovery IdeSimpleBuildSystemDiscovery;

## Property Details

### The `“glob”` property

      “glob”                     gchar *

The "glob" property is a glob to match for files within the project directory. This can be used to quickly match the project file, such as "configure.*".

Owner: IdeSimpleBuildSystemDiscovery

Flags: Read / Write

Default value: NULL

Since: 3.32

### The `“hint”` property

      “hint”                     gchar *

The "hint" property is used from `ide_build_system_discovery_discover()` if the build file was discovered.

Owner: IdeSimpleBuildSystemDiscovery

Flags: Read / Write

Default value: NULL

Since: 3.32

### The `“priority”` property

      “priority”                 gint

The "priority" property is the priority of any match.

Owner: IdeSimpleBuildSystemDiscovery

Flags: Read / Write

Default value: 0

Since: 3.32